#ifndef __NXP_INT_H__
#define __NXP_INT_H__

typedef long long int 		nxp_int_t; /* NumeXP integer */
typedef struct _NxpElementInt 	NxpElementInt;

#include "element.h"

#define NXP_ELEMENT_INT(x)		(NXP_ELEMENT_TYPECAST(x, NXP_ELEMENT_TYPE_INT, NxpElementInt	))
#define NXP_ELEMENT_IS_INT(x)	        (NXP_ELEMENT_GET_TYPE(x) == NXP_ELEMENT_TYPE_INT)

struct _NxpElementInt {
    NxpElement element;
    nxp_int_t value;
};

void        nxp_element_int_init           (GError         **error);
NxpElement* nxp_element_int_new            (nxp_int_t        value);
NxpElement* nxp_element_zero               (void);

#endif /* __NXP_INT_H__ */
